package com.hrsk.cloud.eg.app.api.executor;

import com.hrsk.cloud.eg.client.api.ApiService;
import com.hrsk.cloud.eg.client.dto.cmd.ApiInvokeCmd;
import com.hrsk.pangu.dto.SingleResponse;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author zhangyy
 * @version 1.0
 * @description: ApiServiceImpl
 * @date 2024/11/16 10:06
 */
@Service
public class ApiServiceImpl implements ApiService {

    @Resource
    private ApiInvokeCmdExe apiInvokeCmdExe;

    @Override
    public SingleResponse<String> invoke(ApiInvokeCmd apiInvokeCmd) {
        return SingleResponse.of(apiInvokeCmdExe.execute(apiInvokeCmd));
    }
}
