package com.hrsk.cloud.eg.client.constant;

import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
public enum UserBorrowMoneyEnum {

    LESS_FIFTH_THOUSAND(0, 0, 50000, 5, "5万及以下"),
    FIFTH_TO_TWO_HUNDRED_THOUSAND(1, 50000, 200000, 10, "5-20万"),
    MORE_TWO_HUNDRED_THOUSAND(2, 200000, 20000000, 20, "20万以上");


    private Integer code;

    private Integer min;

    private Integer max;

    private Integer borrowMoney;

    private String msg;

    public static List<Integer> borrowMoneyList = new ArrayList<>();

    UserBorrowMoneyEnum(Integer code, Integer min, Integer max, Integer borrowMoney, String msg) {
        this.code = code;
        this.min = min;
        this.max = max;
        this.borrowMoney = borrowMoney;
        this.msg = msg;
    }

    static {
        for (UserBorrowMoneyEnum e : UserBorrowMoneyEnum.values()) {
            borrowMoneyList.add(e.getBorrowMoney());
        }
    }

    static List<Integer> getBorrowMoneyList() {
        return borrowMoneyList;
    }
}