package com.hrsk.cloud.eg.client.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.concurrent.TimeUnit;

/**
 * @author zhangyy
 * @version 1.0
 * @description: RedisSetDto redis扩展定义类
 * @date 2024/11/21 13:37
 */
@Data
public class RedisSetDto implements Serializable {

    //redis key
    private String key;

    //redis value
    private Object value;

    // 过期时间
    private long time;

    private TimeUnit timeUnit;
}
