package com.hrsk.cloud.eg.infrastructure.repository.database.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: bianlanzhou
 * @create: 2024-08-01 18:04
 * @description: DO基础类，公共字段
 **/
@Data
public class BaseDo implements Serializable {
    /**
     * 主键
     */
    private Long id;
    /**
     * 创建人ID
     */
    private String createUid;
    /**
     * 创建名称
     */
    private String createUsername;
    /**
     * 创建时间
     */
    private Date gmtCreate;
    /**
     * 修改人ID
     */
    private String modifyUid;
    /**
     * 修改人名称
     */
    private String modifyUsername;
    /**
     * 修改时间
     */
    private Date gmtModify;
    /**
     * 状态
     */
    private String status;

}
