package com.hrsk.cloud.eg.client.dto.cmd;

import com.hrsk.pangu.dto.Command;
import lombok.Data;

import java.util.Map;

/**
 * @author: bianlanzhou
 * @create: 2024-11-09 10:44
 * @description: API调用CMD
 **/
@Data
public class ApiInvokeCmd extends Command {
    /**
     * API编码
     */
    private String apiCode;
    /**
     * 路由
     */
    private RouteCmd route;
    /**
     * 数据
     */
    private Map<String,Object> data;

}
