package com.hrsk.cloud.eg.client.dto.user.command;

import com.hrsk.cloud.eg.client.constant.UserBorrowMoneyEnum;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class XdApplyCmd {

    private String orderId;

    //借款金额 单位万元，1-100之间的整数。
    private Integer borrowMoney;

    //贷款金额范围
    private UserBorrowMoneyEnum borrowMoneyRange;

    //借款期限 1.1个月 2.3个月 3.6个月 4.9个月 5.12个月 6.24个月 7.36个月 8.36个月以上
    private Integer borrowLimit;

    private Integer borrowPurpose;
    private String channelCode;
    private String channelName;

    private Integer deliveryMethod;

    private String requestId;

    private String ip;

    //结算参数
    private BigDecimal allianceConfigTypePrice;

    private String productName;

    private String institutionName;

    //结算参数
    private BigDecimal originPrice;

    private String logo;

}
