package com.hrsk.cloud.eg.infrastructure.common;

import com.hrsk.pangu.tool.exception.BaseException;

/**
 * @author: bianlanzhou
 * @create: 2024-09-06 17:01
 * @description: 基础设施异常
 **/
public class InfrastructureException extends BaseException {
    private static final long serialVersionUID = 1L;
    private static final String DEFAULT_ERR_CODE = "INF_ERROR";

    public InfrastructureException(String errMessage) {
        super("INF_ERROR", errMessage);
    }

    public InfrastructureException(String errCode, String errMessage) {
        super(errCode, errMessage);
    }

    public InfrastructureException(String errMessage, Throwable e) {
        super("INF_ERROR", errMessage, e);
    }

    public InfrastructureException(String errorCode, String errMessage, Throwable e) {
        super(errorCode, errMessage, e);
    }
}
