package com.hrsk.cloud.eg.infrastructure.repository.database.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author: bianlanzhou
 * @create: 2024-08-01 18:34
 * @description: API通道数据对象
 **/
@Data
@TableName("egress_api_channel")
@EqualsAndHashCode(callSuper = true)
public class EgressApiChannelDo extends BaseDo {
    /**
     * ID
     */
    private Long id;
    /**
     * egress_api的主键
     */
    private Long apiId;
    /**
     * 通道名称
     */
    private String channelName;
    /**
     * 通道编码
     */
    private String channelCode;
    /**
     * 通道类型
     */
    private String channelType;
    /**
     * 集成方式
     */
    private String integrationMode;
    /**
     * 请求配置
     */
    private String requestConfig;
    /**
     * 响应配置
     */
    private String responseConfig;
    /**
     * 备注
     */
    private String memo;

}
