package com.hrsk.cloud.eg.infrastructure.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hrsk.cloud.eg.client.dto.plan.command.EgLoanApiConfigInfoCmd;
import com.hrsk.cloud.eg.infrastructure.repository.database.entity.EgressApiChannelDo;

/**
 * @author zhangyy
 * @version 1.0
 * @description: EgApiEndpointService
 * @date 2024/8/28 10:59
 */
public interface EgApiChannelService extends IService<EgressApiChannelDo> {

    /**
     * @description: 根据apiId查询配置
     * @param:
     * @return:
     * @author zhangyy
     * @date: 2024/11/6 16:03
     */
    EgressApiChannelDo findByApiId(Integer apiId);


    /**
     * @description: 查询对应api配置信息通过 apiId和通道类型
     * @param:
     * @return:
     * @author zhangyy
     * @date: 2024/11/27 17:29
     */

     EgLoanApiConfigInfoCmd findEgressConfigCmdByApiIdAndChannel(Integer apiId, String channelId);
}
